classification
Title: Distutils: "sdist register upload" ignores -r argument
Type: behavior Stage: resolved
Components: Distutils Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chris.jerdonek, eric.araujo, gwrtheyrn, steve.dower, tarek
Priority: normal Keywords:

Created on 2013-02-06 16:10 by gwrtheyrn, last changed 2021-02-03 18:30 by steve.dower. This issue is now closed.

Messages (5)
msg181540 - (view) Author: Danilo Bargen (gwrtheyrn) Date: 2013-02-06 16:10
Where I work, we use a custom pypi server to upload our internal packages.

With a package that has a setup.py created using setuptools, I can simply issue:

$ python setup.py sdist register upload -r local

...and it will get registered and uploaded to our local server.

If setup.py is using distutils though, this does not work and the -r argument gets ignored. The command above would register and upload the package to pypi.python.org (which can in some situations be a security problem).

As a workaround, this works:

$ python setup.py register -r local
$ python setup.py sdist upload -r local

Tested under Python 2.7...
msg181555 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-06 18:34
See issue 16926 for another issue about using -r with register.
msg181557 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-02-06 18:44
Danilo, does this work any better?

$ python setup.py sdist register -r local upload
msg181591 - (view) Author: Danilo Bargen (gwrtheyrn) Date: 2013-02-07 10:45
chris, no, that command registers the package with the local index but tries to upload it to pypi.

What works is "setup.py sdist register -r wbrp upload -r wbrp" but that's kind of awful.
msg386436 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:30
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:30:40steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386436

resolution: out of date
stage: resolved
2013-02-07 10:45:15gwrtheyrnsetmessages: + msg181591
2013-02-06 18:44:26chris.jerdoneksetmessages: + msg181557
2013-02-06 18:34:43chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg181555
2013-02-06 16:10:32gwrtheyrncreate